| IGLib 1.7.2 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events Macros
Public Member Functions | Protected Member Functions | Properties | Private Attributes | List of all members
IG.Gr.StructuredSurfaceGridPrimitive Class Reference
Inheritance diagram for IG.Gr.StructuredSurfaceGridPrimitive:
[legend]
Collaboration diagram for IG.Gr.StructuredSurfaceGridPrimitive:
[legend]

## Public Member Functions
| StructuredSurfaceGridPrimitive (int num1, int num2)
| Constructs a structured surface grid primitive in 3 dimensions. Grid co-ordinates are initialized to 0. More...
| StructuredSurfaceGridPrimitive (vec3 origin, vec3 basevector1, vec3 basevector2, int num1, int num2)
| Construct a structured surface grid primitive in 3 dimensions. Complete is constructed by translations of the origin by linear combinations of two base vectors with integer factors. More...

## Protected Member Functions
| StructuredSurfaceGridPrimitive ()

## Properties
override int | NumCoordinates`[get]`
override vec3 | this[int i]`[get, set]`
Properties inherited from IG.Gr.GraphicPrimitive
virtual GraphicObject | Parent`[get, set]`
| Returns the graphic object that directly contains this primitive. More...
abstract int | NumCoordinates`[get]`
| Get or set the co-ordinate No. i of this graphic primitive. More...
abstract vec3 | this[int i]`[get, set]`
| Returns the co-ordinate No. i of the graphic primitive. More...
virtual vec3 | Center`[get]`
| Reyurns the center of mass of all co-ordinates of this primitive. More...
virtual GrPrimitiveSettings | Settings`[get, protected set]`
| Gets the primitive's internal graphic properties (such as color, etc.) More...
virtual GrPrimitiveSettings | EffectiveSettings`[get]`

## Private Attributes
StructuredSurfaceMesh3D | _mesh = null

## Constructor & Destructor Documentation

IG.Gr.StructuredSurfaceGridPrimitive.StructuredSurfaceGridPrimitive | ( |  | ) |
| inline protected

IG.Gr.StructuredSurfaceGridPrimitive.StructuredSurfaceGridPrimitive | ( | int | num1,
|  | int | num2
| ) |  |
| inline

Constructs a structured surface grid primitive in 3 dimensions. Grid co-ordinates are initialized to 0.

Parameters

  num1 | Number of points in the first grid direction.
  num2 | Number of points in the second grid direction.

IG.Gr.StructuredSurfaceGridPrimitive.StructuredSurfaceGridPrimitive | ( | vec3 | origin,
|  | vec3 | basevector1,
|  | vec3 | basevector2,
|  | int | num1,
|  | int | num2
| ) |  |
| inline

Construct a structured surface grid primitive in 3 dimensions. Complete is constructed by translations of the origin by linear combinations of two base vectors with integer factors.

Parameters

  origin | Origin of the mesh.
  basevector1 | The first base step of the mesh.
  basevector2 | The second base step of the mesh.
  num1 | Number of points in the first grid direction.
  num2 | Number of points in the second grid direction.

## Member Data Documentation

StructuredSurfaceMesh3D IG.Gr.StructuredSurfaceGridPrimitive._mesh = null
| private

## Property Documentation

override int IG.Gr.StructuredSurfaceGridPrimitive.NumCoordinates
| get

override vec3 IG.Gr.StructuredSurfaceGridPrimitive.this[int i]
| get set

The documentation for this class was generated from the following file:

- igbase/graphics/GrObjects.cs